Network 
========

#### API reference for the Plaid Network 

| Endpoints |  |
| --- | --- |
| [/network/status/get](https://plaid.com/docs/api/network/index.html.md#networkstatusget) | Check the status of a user in the Plaid Network |

### Endpoints 

\=\*=\*=\*=

#### /network/status/get 

#### Check a user's Plaid Network status 

The [/network/status/get](https://plaid.com/docs/api/network/index.html.md#networkstatusget) endpoint can be used to check whether Plaid has a matching profile for the user. This is useful for determining if a user is eligible for a streamlined experience, such as Layer. To access this endpoint, contact your Plaid account manager.

Note: it is strongly recommended to check for Layer eligibility in the frontend. [/network/status/get](https://plaid.com/docs/api/network/index.html.md#networkstatusget) should only be used for checking Layer eligibility if a frontend check is not possible for your use case. For instructions on performing a frontend eligibility check, see the [Layer documentation](https://plaid.com/docs/layer/index.html.md#integration-overview) .

#### Request fields 

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

required, object

An object specifying information about the end user for the network status check.

required, string

The user's phone number in [E.164](https://en.wikipedia.org/wiki/E.164) format.

string

The id of a template defined in Plaid Dashboard. This field is used if you have additional criteria that you want to check against (e.g. Layer eligibility).

```bash
curl -X POST https://sandbox.plaid.com/network/status/get \
  -H 'Content-Type: application/json' \
  -d '{
    "client_id": "${PLAID_CLIENT_ID}",
    "secret": "${PLAID_SECRET}",
    "user": {
      "phone_number": "+14155550015"
    }
  }'

```

```node
const request: NetworkStatusGetRequest = {
  user: {
    phone_number: '+14155550015',
  },
};
try {
  const response = await plaidClient.networkStatusGet(request);
  const networkStatus = response.data.network_status;
} catch (error) {
  // handle error
}

```

```python
request = NetworkStatusGetRequest(
  user=NetworkStatusGetUser(
    phone_number='+14155550015',
  ),
)
response = client.network_status_get(request)
network_status = response['network_status']

```

```java
NetworkStatusGetUser user = new NetworkStatusGetUser()
  .phoneNumber("+14155550015");
NetworkStatusGetRequest request = new NetworkStatusGetRequest()
  .user(user);
Response response = client().networkStatusGet(request).execute();
NetworkStatus networkStatus = response.body().getNetworkStatus();

```

```ruby
request = Plaid::NetworkStatusGetRequest.new(
  {
    user: {
      phone_number: '+14155550015',
    },
  },
)
response = client.network_status_get(request)
network_status = response.network_status

```

```go
var phoneNumber string = "+14155550015"
user := plaid.NetworkStatusGetUser{
  PhoneNumber: &phoneNumber,
}
request := plaid.NewNetworkStatusGetRequest(user)
resp, _, err := client.PlaidApi.NetworkStatusGet(ctx).NetworkStatusGetRequest(*request).Execute()
if err != nil {
  // handle error
}

networkStatus := resp.GetNetworkStatus()

```

#### Response fields 

string

Enum representing the overall network status of the user.

Possible values: `UNKNOWN`, `RETURNING_USER`

nullable, object

An object representing Layer-related metadata for the requested user.

boolean

Indicates if the user is eligible for a Layer session.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "network_status": "RETURNING_USER",
  "request_id": "m8MDnv9okwxFNBV"
}
```